Name:           python-operator-courier
Version:        1.0.0
Release:        1%{?dist}
Summary:        Library and CLI tool to build, verify and push operator metadata

License:        ASL 2.0
URL:            https://pypi.io/project/operator-courier

# TODO - eventually, use pypi_source like this, but I currently
# get a (temporary) 504 Gateway Timeout with it.  For now, use
# this other url which works.
#Source0:        %%pypi_source operator-courier
Source0:        https://files.pythonhosted.org/packages/91/62/cf43c66e5d427e561e06635fbeabe867354edaa63dc2fbcb30e22ebefdcc/operator-courier-1.0.0.tar.gz

BuildArch:      noarch

# https://fedoraproject.org/wiki/Changes/EnablingPythonGenerators
%?python_enable_dependency_generator


%description
The operator courier library is used to build, validate and
push Operator Artifacts to quay.io application registries.

%package -n python3-operator-courier
Summary:        Library to build, verify and push operator metadata

%{?python_provide:%python_provide python3-operator-courier}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests
BuildRequires:  python3-PyYAML

# These are just for running tests, which will be enabled soon.
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner


%description -n python3-operator-courier
The operator courier library is used to build, validate and
push Operator Artifacts to quay.io application registries.

%prep
%autosetup -p1 -n operator-courier-%{version}

%build
%py3_build

%install
%py3_install

# No tests in the tarball yet.  Soon!
# https://github.com/operator-framework/operator-courier/issues/13
#%check
#PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest -v

%files -n python3-operator-courier
# No license in the tarball yet.  Soon!
# https://github.com/operator-framework/operator-courier/issues/13
#%%license LICENSE
%doc README.md
%{_bindir}/operator-courier
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/operatorcourier/


%changelog
* Mon Feb 11 2019 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- Initial packaging for Fedora.
